Bug 830360 - (audiocd-kio) Review Request: audiocd-kio - Audiocd kio slave
Review Request: audiocd-kio - Audiocd kio slave
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
Depends On:
Blocks: kde-reviews kscd
  Show dependency treegraph
Reported: 2012-06-08 20:03 EDT by Rex Dieter
Modified: 2012-06-14 15:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-14 15:16:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jreznik: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2012-06-08 20:03:32 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/kdemm/audiocd-kio.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdemm/audiocd-kio-4.8.90-1.fc17.src.rpm
Description: Audiocd kio slave
Fedora Account System Username: rdieter

New package from upstream splitting the once-monolithic kdemultimedia tarball (and why this one includes Obsoletes)
Comment 1 Jaroslav Reznik 2012-06-13 06:59:43 EDT
Name: ok (match upstream, kio_audiocd provided)
Summary: ok
License: not ok, GPLv2+ and GFDL for documentation

./kcmaudiocd/kcmaudiocd.h: GPL (v2 or later) (with Qt exception) 

URL: ok
Sources: ok (md5sum a3ce8cc1ebd98ac3b853ccecda79dbbe)
BuildRequires: ok (libkcddb and libkcompactdisc already imported to Fedora)
Requires: ok
Obsoletes/provides: ok, kdemultimedia-kio_audiocd split. Provides kio_audiocd to match the rest of KIO slaves
Description: ok
-libs subpackage: ok, conflicts ok (kdemultimedia-libs), ldconfig ok
Build: ok
Docs: ok

rpmlint audiocd-kio-4.8.90-1.fc17.src.rpm 
audiocd-kio.src: W: invalid-url Source0: http://download.kde.org/unstable/4.8.90/src/audiocd-kio-4.8.90.tar.xz HTTP Error 403: Forbidden
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

4.8.90 is still private.

It's a split package, looks good, pls fix license and I'll approve this one.
Comment 2 Rex Dieter 2012-06-13 09:34:29 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/kdemm/audiocd-kio.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdemm/audiocd-kio-4.8.90-2.fc17.src.rpm

* Wed Jun 13 2012 Rex Dieter <rdieter@fedoraproject.org> 4.8.90-2
- License: GPLv2+ and GFDL
Comment 3 Jaroslav Reznik 2012-06-13 10:30:36 EDT
Thanks Rex,
Comment 4 Rex Dieter 2012-06-13 10:35:57 EDT
New Package SCM Request
Package Name: audiocd-kio
Short Description: Audiocd kio slave
Owners: than,rdieter,jreznik,rnovacek,ltinkl,kkofler
Branches: f17
Comment 5 Jon Ciesla 2012-06-13 10:44:50 EDT
Git done (by process-git-requests).
Comment 6 Rex Dieter 2012-06-14 15:16:40 EDT

Note You need to log in before you can comment on or make changes to this bug.